SQLITE3_BIND_PARAMETER_INDEX(3)

NAME
sqlite3_bind_parameter_index - index of a parameter with a given name

SYNOPSIS
#include <sqlite3.h>
int
sqlite3_bind_parameter_index(sqlite3_stmt*, const char *zName);

DESCRIPTION
Return the index of an SQL parameter given its name. The index value returned is suitable for use as the second parameter to sqlite3_bind(). A zero is returned if no matching parameter is found. The parameter name must be given in UTF-8 even if the original statement was prepared from UTF-16 text using sqlite3_prepare16_v2() or sqlite3_prepare16_v3().

IMPLEMENTATION NOTES
These declarations were extracted from the interface documentation at line 4748.

    SQLITE_API int sqlite3_bind_parameter_index(sqlite3_stmt*, const char *zName);

SEE ALSO
sqlite3_bind_blob(3), sqlite3_bind_parameter_count(3), sqlite3_bind_parameter_name(3), sqlite3_prepare(3)